// ShapeDemo2.java

import java.awt.*;
import java.awt.geom.*;

public class ShapeDemo2 extends java.applet.Applet
{
   public void paint (Graphics g)
   {
      int w = getSize ().width;
      int h = getSize ().height;

      CubicCurve2D cubic = new CubicCurve2D.Double (w / 2 - 50,
                                                    h / 2,
                                                    w / 2 - 25,
                                                    h / 2 - 25,
                                                    w / 2 + 25,
                                                    h / 2 + 25,
                                                    w / 2 + 50,
                                                    h / 2);

      // Draw first control point.

      g.drawLine (w / 2 - 25, h / 2 - 25, w / 2 - 25, h / 2 - 25);

      // Draw second control point.

      g.drawLine (w / 2 + 25, h / 2 + 25, w / 2 + 25, h / 2 + 25);

      // Draw the curve.

      Graphics2D g2 = (Graphics2D) g;

      g2.draw (cubic);
   }
}
